> For the complete documentation index, see [llms.txt](https://docs.mimiland.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mimiland.com/mimiland-core-services/cdn/api-references/post-image.md).

# Post Image

Request

{% tabs %}
{% tab title="HTTP" %}

```http
POST /v1/image HTTP/1.1
Host: storage-dev.api.mimiland.io
Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW
authorization: bearer v4.public.eyJhZC*****5xTtpdbQI
mm-client-id: mml
mm-user-id: 6552e9dd1f835ac7ca4ba3ec
Content-Length: 418

------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="data"; filename="/C:/Users/ADMIN/Downloads/f27576e82cd4858adcc5.jpg"
Content-Type: image/jpeg

(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="objectType"

images
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="featureType"

story
------WebKitFormBoundary7MA4YWxkTrZu0gW--

```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const myHeaders = new Headers();
myHeaders.append("Content-Type", "multipart/form-data");
myHeaders.append("authorization", "bearer v4.public.eyJhZC*****5xTtpdbQI");
myHeaders.append("mm-client-id", "mml");
myHeaders.append("mm-user-id", "6552e9dd1f835ac7ca4ba3ec");

const formdata = new FormData();
formdata.append("data", fileInput.files[0], "/C:/Users/ADMIN/Downloads/f27576e82cd4858adcc5.jpg");
formdata.append("objectType", "images");
formdata.append("featureType", "story");

const requestOptions = {
  method: "POST",
  headers: myHeaders,
  body: formdata,
  redirect: "follow"
};

fetch("https://storage-dev.api.mimiland.io/v1/image", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

{% endtab %}
{% endtabs %}
